<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.EquipmentRepairRecordingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.EquipmentRepairRecording">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="agent_id" property="agentId" />
        <result column="property_id" property="propertyId" />
        <result column="district_id" property="districtId" />
        <result column="building_id" property="buildingId" />
        <result column="floor" property="floor" />
        <result column="toilet_id" property="toiletId" />
        <result column="position_id" property="positionId" />
        <result column="install_address" property="installAddress" />
        <result column="user_id" property="userId" />
        <result column="record_time" property="recordTime" />
        <result column="sn_code" property="snCode" />
        <result column="problem" property="problem" />
        <result column="state" property="state" />
        <result column="repair_no" property="repairNo" />
        <result column="effective_state" property="effectiveState" />
        <result column="device_type" property="deviceType" />
        <result column="paper_count" property="paperCount" />
        <result column="fault_count" property="faultCount" />
        <result column="source_type" property="sourceType" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, agent_id, property_id, district_id, building_id, floor, toilet_id, position_id, install_address, user_id, record_time, sn_code, problem, state, repair_no, effective_state, device_type, paper_count, fault_count, source_type
    </sql>

</mapper>
